Package org.eclipse.emf.compare.rcp.internal.extension

## Interface IItemDescriptor<T>

Type Parameters:
  `T` - one of the item

All Superinterfaces:
  `Comparable<IItemDescriptor<T>>`

All Known Implementing Classes:
  `AbstractItemDescriptor`, `DifferenceGroupDescriptorWrapper`, `LazyItemDescriptor`, `MatchEngineFactoryDescriptor`, `WrapperItemDescriptor`

    public interface IItemDescriptor<T>
    extends Comparable<IItemDescriptor<T>>

An item descriptor.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getDescription()` The description of the item.
`String` `getID()` Get a unique key identifying this item.
`T` `getItem()` Get an instance of an item.
`String` `getLabel()` The label of the item.
`int` `getRank()` Rank of the item.

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Method Detail

#### getLabel

    String getLabel()

The label of the item.

Returns:
  label of the item

#### getDescription

    String getDescription()

The description of the item.

Returns:
  description of the item

#### getRank

    int getRank()

Rank of the item.

Returns:
  rank

#### getID

    String getID()

Get a unique key identifying this item.

Returns:
  a key

#### getItem

    T getItem()

Get an instance of an item.

Returns:
  an instance of an item